Skip to main content

Create Attributes And Levels

POST 

/api/v2/attributes_levels/consolidated

Create attributes and levels for a given why_prompt, automatically determining if it's a real-world product. If it is a real-world product, generates product-specific attributes and levels. If not, generates regular attributes and levels.

Parameters:

  • req: AttributesLevelsRequest object containing:
    • why_prompt: The main concept or prompt
    • country: Target country
    • level_count: Number of levels per attribute (optional)
    • max_length: Maximum length for levels (optional)
    • llm_model: Language model to use (optional)
    • attribute_count: Number of attributes to generate (optional)

Returns:

  • List of attributes with their levels.

Request

Responses

Successful Response